import { Contract, Signer, ContractTransactionResponse } from 'ethers';
import { CurrencyInfo, MarketInfo, Skew, Value } from '../types';
import { CurrencySymbol } from '../enums';
export declare class Market {
    private contract;
    private signer;
    constructor(_contract: Contract, _signer: Signer);
    static initialize(_address: string, _signer: Signer): Promise<Market>;
    getInfo(): Promise<MarketInfo>;
    getCurrencyInfo(_address: string | CurrencySymbol): Promise<CurrencyInfo>;
    getMetadata(): Promise<any>;
    getAddress(): Promise<string>;
    getReferenceValue(_currencyInfo: CurrencyInfo): Promise<Value>;
    getSkew(): Promise<Skew>;
    getPositionValue(_positionId: number): Promise<Value>;
    commitValueTransfer(): Promise<ContractTransactionResponse>;
}
