import { Decimal } from 'decimal.js';
import { CurrencySymbol, MetricType } from './enums';
export declare type Amount = {
    atomic: BigInt;
    decimal: Decimal;
};
export declare type CurrencyInfo = {
    symbol: CurrencySymbol;
    name: string;
    decimals: BigInt;
    address?: string;
};
export declare type MarketInfo = {
    name: string;
    address: string;
    description: string;
    image: string;
    metric: MetricType;
    referenceValue: Value;
    skew: Skew;
};
export declare type Skew = {
    currency: CurrencyInfo;
    long: Amount;
    short: Amount;
};
export declare type Value = {
    currency: CurrencyInfo;
    amount: Amount;
};
